FSP(1)

NAME

fmi - FSM state miminization

SYNOPSIS

fmi [-V] input_file  output_file

DESCRIPTION
Made to run on FSM descriptions, fmi supports the same subset of VHDL as syf (for further informations about this subset see SYF(1) and FSM(5)). fmi uses a Reduced Ordered Binary Decision Diagrams representation and identifies equivalent states. After this step, it drives a new FSM where all equivalent states are replaced by a single state.
As a restriction fmi doesn't handle don't cares (as this much more difficult).

ENVIRONMENT VARIABLES

MBK_WORK_LIB gives the path of the FSM description. The default value is the current directory.

MBK_CATA_LIB gives some auxiliary pathes for the FSM descriptions. The default value is the current directory.

OPTIONS
-V Sets verbose mode on. Each step of the minimization is displayed on the standard output.

EXAMPLE
    fmi digi digi_min

SEE ALSO
 syf (1), fsp (1), fsm (5), xfsm (1).